{
  "components": {
    "responses": {},
    "schemas": {
      "V2_Org_webhook_update_parameters": {
        "description": "The webhook replacing the current one: send every field, as an omitted field is cleared. A url_secret webhook needs notification_url and notification_secret; an oauth webhook needs oauth_client_id, oauth_client_secret, oauth_url and oauth_scope.",
        "example": {
          "api_version": "v100",
          "authentication_method": "url_secret",
          "entity_id": "019a1c2e-5b7d-7f80-9a1b-2c3d4e5f6a7c",
          "event_categories_allowed": [
            {
              "category": "boleto",
              "types": [
                "settled",
                "created"
              ]
            }
          ],
          "group_id": "019a1c2e-5b7d-7f80-9a1b-2c3d4e5f6a7d",
          "notification_secret": "some_notification_secret",
          "notification_url": "https://mynotificationurl.com/endpoint"
        },
        "properties": {
          "api_version": {
            "description": "Version of the event payloads sent to the webhook. Defaults to v100",
            "enum": [
              "v100",
              "v200"
            ],
            "nullable": true,
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "authentication_method": {
            "description": "How Trio authenticates to the notification URL",
            "enum": [
              "url_secret",
              "oauth"
            ],
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "entity_id": {
            "description": "Entity to limit the webhook to. Omitted, the webhook is no longer limited",
            "format": "uuid",
            "nullable": true,
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "event_categories_allowed": {
            "description": "Events to send to the webhook. Empty, null or omitted sends every event",
            "items": {
              "properties": {
                "category": {
                  "description": "Event category",
                  "type": "string",
                  "x-struct": null,
                  "x-validate": null
                },
                "types": {
                  "description": "Event types of the category. Empty sends every type",
                  "items": {
                    "type": "string",
                    "x-struct": null,
                    "x-validate": null
                  },
                  "type": "array",
                  "x-struct": null,
                  "x-validate": null
                }
              },
              "required": [
                "category",
                "types"
              ],
              "type": "object",
              "x-struct": null,
              "x-validate": null
            },
            "nullable": true,
            "type": "array",
            "x-struct": null,
            "x-validate": null
          },
          "group_id": {
            "description": "Group of the entity to limit the webhook to. Omitted, the webhook is no longer limited",
            "format": "uuid",
            "nullable": true,
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "notification_secret": {
            "description": "Secret sent with every event, for url_secret webhooks",
            "nullable": true,
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "notification_url": {
            "description": "URL the events are sent to",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "oauth_client_id": {
            "description": "OAuth client ID",
            "nullable": true,
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "oauth_client_secret": {
            "description": "OAuth client secret",
            "nullable": true,
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "oauth_scope": {
            "description": "OAuth scope",
            "nullable": true,
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "oauth_url": {
            "description": "OAuth token URL",
            "nullable": true,
            "type": "string",
            "x-struct": null,
            "x-validate": null
          }
        },
        "required": [
          "notification_url",
          "authentication_method"
        ],
        "title": "V2 Org webhook update parameters",
        "type": "object",
        "x-struct": "Elixir.TrioFoundationWeb.Schemas.IAM.V2.OrgWebhook.UpdateParameters",
        "x-validate": null
      },
      "Check_tax_request_params": {
        "description": "Check tax request params",
        "example": {
          "code": "81620000001482115872026022712600000000001207"
        },
        "properties": {
          "code": {
            "description": "Tax barcode or digitable_line",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          }
        },
        "required": [
          "code"
        ],
        "title": "Check_tax_request_params",
        "type": "object",
        "x-struct": "Elixir.TrioFoundationWeb.Schemas.Banking.V1.Cashout.Tax.TaxSchema.CheckRequest",
        "x-validate": null
      },
      "RecurrenceStatus": {
        "description": "Types of recurrence status",
        "enum": [
          "created",
          "approved",
          "rejected",
          "expired",
          "cancelled"
        ],
        "title": "RecurrenceStatus",
        "type": "string",
        "x-struct": null,
        "x-validate": null
      },
      "V2_CollectionUpdateParams": {
        "description": "Body params to update the amount of a collection",
        "example": {
          "amount": 10000
        },
        "properties": {
          "amount": {
            "description": "Updated amount in cents",
            "minimum": 1,
            "type": "integer",
            "x-struct": null,
            "x-validate": null
          }
        },
        "required": [
          "amount"
        ],
        "title": "V2 CollectionUpdateParams",
        "type": "object",
        "x-struct": "Elixir.TrioFoundationWeb.Schemas.Banking.V2.Cashin.Recurrence.Collection.UpdateParams",
        "x-validate": null
      },
      "V2_entity_address": {
        "description": "Entity address",
        "example": {
          "address_additional_details": "Apto 42",
          "address_line": "Rua das Flores",
          "address_number": "123",
          "city_name": "Curitiba",
          "district": "Centro",
          "zip_code": "80000000"
        },
        "properties": {
          "address_additional_details": {
            "description": "Additional address details, such as the apartment",
            "nullable": true,
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "address_line": {
            "description": "Street",
            "nullable": true,
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "address_number": {
            "description": "Street number",
            "nullable": true,
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "city_name": {
            "description": "City name",
            "nullable": true,
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "district": {
            "description": "District",
            "nullable": true,
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "zip_code": {
            "description": "Zip code",
            "nullable": true,
            "type": "string",
            "x-struct": null,
            "x-validate": null
          }
        },
        "title": "V2 entity address",
        "type": "object",
        "x-struct": "Elixir.TrioFoundationWeb.Schemas.Banking.V2.Entity.EntityAddressData",
        "x-validate": null
      },
      "RecurrenceType": {
        "description": "Types of recurrence type",
        "enum": [
          "in",
          "out"
        ],
        "title": "RecurrenceType",
        "type": "string",
        "x-struct": null,
        "x-validate": null
      },
      "V2_card_transfer_balance_params": {
        "description": "Moves balance from the card in the path to `to_card_id`",
        "example": {
          "amount": {
            "amount": 1000,
            "currency": "BRL"
          },
          "entity_id": "019514eb-5d5c-4a1e-9f0b-1c2d3e4f5a6b",
          "to_card_id": "019514eb-5d5c-7c3d-8e2f-0a1b2c3d4e5f"
        },
        "properties": {
          "amount": {
            "$ref": "#/components/schemas/V2_card_amount_params"
          },
          "entity_id": {
            "description": "ID of the entity that holds both cards",
            "format": "uuid",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "to_card_id": {
            "description": "ID of the card that receives the balance",
            "format": "uuid",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          }
        },
        "required": [
          "entity_id",
          "to_card_id",
          "amount"
        ],
        "title": "V2 card transfer balance params",
        "type": "object",
        "x-struct": "Elixir.TrioFoundationWeb.Schemas.Banking.V2.Card.TransferBalanceParams",
        "x-validate": null
      },
      "V2_out_document_response": {
        "description": "Out document response",
        "example": {
          "data": {
            "amount": {
              "amount": 1,
              "currency": "BRL"
            },
            "bank_account_id": "019ddfe9-e64b-b642-36fd-efdaef77d05e",
            "counterparty": {
              "bank_account_id": "0008d49c-e6d5-a58e-a742-449e9b38f795",
              "id": "0008d49c-e6d5-4d86-232a-a6f4b9138f10",
              "name": "John Doe",
              "tax_number": "***982247**"
            },
            "description": ".",
            "end_to_end_id": "E49931906202610091423uRPkCyeusfB",
            "external_id": "Pix Console 01a1210c-076e-daf3-8d7b-8000a8e5c6fc",
            "id": "01a1210c-4914-9972-f8a2-14b30f6b60f6",
            "inserted_at": "2026-10-09T14:23:35.700406Z",
            "origin": {
              "id": "d4abaabe-5ebf-4628-ba34-5a1b17da4c6b",
              "type": "console_user"
            },
            "receipt_url": "https://receipts.trio.com.br/019489e6-f64f-5cfe-770b-79b671ec66f0/out/01a1210c-4914-9972-f8a2-14b30f6b60f6",
            "reconciliation_id": "01a1210c-4a23-4df0-d68f-3f8239adc2a1",
            "reference": {
              "id": null,
              "type": "pix_key"
            },
            "refunds": [],
            "stages": [
              {
                "error_code": null,
                "error_message": null,
                "id": "01a1210c-4914-db7b-7700-4617d96022f7",
                "inserted_at": "2026-10-09T14:23:35.700406Z",
                "status": "created"
              },
              {
                "error_code": null,
                "error_message": null,
                "id": "01a1210c-4914-936c-fa61-1bc67deb38e7",
                "inserted_at": "2026-10-09T14:23:35.700406Z",
                "status": "settled"
              }
            ],
            "status": "settled",
            "transaction_date": "2026-10-09T14:23:37.128000Z",
            "type": "pix",
            "updated_at": "2026-10-09T14:23:37.128000Z"
          }
        },
        "properties": {
          "data": {
            "$ref": "#/components/schemas/V2_out_document"
          }
        },
        "title": "V2 out document response",
        "type": "object",
        "x-struct": "Elixir.TrioFoundationWeb.Schemas.Banking.V2.Cashout.Document.Response",
        "x-validate": null
      },
      "V2_created_in_document_refund_response": {
        "description": "Created in document refund response",
        "example": {
          "data": {
            "in_refund_id": "01a12175-3994-6649-4e0b-f645e45459ea"
          }
        },
        "properties": {
          "data": {
            "$ref": "#/components/schemas/V2_created_in_document_refund"
          }
        },
        "title": "V2 created in document refund response",
        "type": "object",
        "x-struct": "Elixir.TrioFoundationWeb.Schemas.Banking.V2.Cashin.Document.RefundResponse",
        "x-validate": null
      },
      "V2_list_out_document_refunds_response": {
        "description": "A list of out document refunds response",
        "example": {
          "data": [
            {
              "amount": {
                "amount": 1,
                "currency": "BRL"
              },
              "bank_account_id": "019ddfe9-e64b-b642-36fd-efdaef77d05e",
              "counterparty": {
                "bank_account_id": "0008d49c-e6d5-a58e-a742-449e9b38f795",
                "id": "0008d49c-e6d5-4d86-232a-a6f4b9138f10",
                "name": "John Doe",
                "tax_number": "***982247**"
              },
              "description": "md06",
              "end_to_end_id": "D60746948202610091618a4900N5mYsE",
              "external_id": "Pix Console 01a1210c-076e-daf3-8d7b-8000a8e5c6fc",
              "id": "01a12175-3994-6649-4e0b-f645e45459ea",
              "inserted_at": "2026-10-09T16:18:13.012356Z",
              "origin": {
                "id": "d4abaabe-5ebf-4628-ba34-5a1b17da4c6b",
                "type": "console_user"
              },
              "out_document_id": "01a1210c-4914-9972-f8a2-14b30f6b60f6",
              "receipt_url": "https://receipts.trio.com.br/019489e6-f64f-5cfe-770b-79b671ec66f0/out_refund/01a12175-3994-6649-4e0b-f645e45459ea",
              "reconciliation_id": "01a12175-3994-450a-4ff2-129a15a79b0b",
              "stages": [
                {
                  "error_code": null,
                  "error_message": null,
                  "id": "01a12175-3994-1769-f302-ff90c917b627",
                  "inserted_at": "2026-10-09T16:18:13.020169Z",
                  "status": "created"
                },
                {
                  "error_code": null,
                  "error_message": null,
                  "id": "01a12175-3994-c354-a724-745e098967f5",
                  "inserted_at": "2026-10-09T16:18:14.231252Z",
                  "status": "settled"
                }
              ],
              "status": "settled",
              "transaction_date": "2026-10-09T16:18:13.361000Z",
              "updated_at": "2026-10-09T16:18:14.231252Z"
            }
          ],
          "metadata": {
            "after": null,
            "before": null,
            "has_more": false
          }
        },
        "properties": {
          "data": {
            "items": {
              "$ref": "#/components/schemas/V2_out_document_refund"
            },
            "type": "array",
            "x-struct": null,
            "x-validate": null
          },
          "metadata": {
            "description": "Pagination cursors",
            "properties": {
              "after": {
                "description": "Cursor to the next page",
                "nullable": true,
                "type": "string",
                "x-struct": null,
                "x-validate": null
              },
              "before": {
                "description": "Cursor to the previous page",
                "nullable": true,
                "type": "string",
                "x-struct": null,
                "x-validate": null
              },
              "has_more": {
                "description": "Whether a next page exists",
                "type": "boolean",
                "x-struct": null,
                "x-validate": null
              }
            },
            "type": "object",
            "x-struct": null,
            "x-validate": null
          }
        },
        "title": "V2 list out document refunds response",
        "type": "object",
        "x-struct": "Elixir.TrioFoundationWeb.Schemas.Banking.V2.Cashout.Refund.ListResponse",
        "x-validate": null
      },
      "V2_list_of_in_documents": {
        "description": "List of in documents",
        "example": {
          "data": [
            {
              "amount": {
                "amount": 100,
                "currency": "BRL"
              },
              "bank_account_id": "019ddfe9-e64b-b642-36fd-efdaef77d05e",
              "counterparty": {
                "bank_account_id": "0008d49c-e6d5-a58e-a742-449e9b38f795",
                "id": "0008d49c-e6d5-4d86-232a-a6f4b9138f10",
                "name": "John Doe",
                "tax_number": "***982247**"
              },
              "description": "",
              "end_to_end_id": "E60746948202610072016A0049Tfmiks",
              "external_id": "01M4C040NGQ5VKGKZRR3SXRZ7E",
              "id": "01a11802-3da7-052e-3f8f-19cfe127e4b8",
              "inserted_at": "2026-10-07T20:16:02.471297Z",
              "origin": {
                "id": "d4abaabe-5ebf-4628-ba34-5a1b17da4c6b",
                "type": "console_user"
              },
              "receipt_url": "https://receipts.trio.com.br/019489e6-f64f-5cfe-770b-79b671ec66f0/in/01a11802-3da7-052e-3f8f-19cfe127e4b8",
              "reconciliation_id": "01a11802-3da7-09df-060e-0ca0747a1876",
              "reference": {
                "id": "01a11802-b618-fcd7-94f4-88f533fe41cc",
                "type": "pix_qrcode"
              },
              "refunds": [],
              "stages": [
                {
                  "error_code": null,
                  "error_message": null,
                  "id": "01a11802-3da7-2381-58a7-54b90a2ffa9a",
                  "inserted_at": "2026-10-07T20:17:02.479108Z",
                  "status": "created"
                },
                {
                  "error_code": null,
                  "error_message": null,
                  "id": "01a11802-3da7-af9b-756c-9522bbd3b87f",
                  "inserted_at": "2026-10-07T20:17:03.475249Z",
                  "status": "settled"
                }
              ],
              "status": "settled",
              "transaction_date": "2026-10-07T20:17:02.795000Z",
              "type": "pix",
              "updated_at": "2026-10-07T20:17:03.475249Z"
            }
          ],
          "metadata": {
            "after": null,
            "before": null,
            "has_more": false
          }
        },
        "properties": {
          "data": {
            "items": {
              "$ref": "#/components/schemas/V2_in_document"
            },
            "type": "array",
            "x-struct": null,
            "x-validate": null
          },
          "metadata": {
            "description": "Pagination cursors",
            "properties": {
              "after": {
                "description": "Cursor to the next page",
                "nullable": true,
                "type": "string",
                "x-struct": null,
                "x-validate": null
              },
              "before": {
                "description": "Cursor to the previous page",
                "nullable": true,
                "type": "string",
                "x-struct": null,
                "x-validate": null
              },
              "has_more": {
                "description": "Whether a next page exists",
                "type": "boolean",
                "x-struct": null,
                "x-validate": null
              }
            },
            "type": "object",
            "x-struct": null,
            "x-validate": null
          }
        },
        "title": "V2 list of in documents",
        "type": "object",
        "x-struct": "Elixir.TrioFoundationWeb.Schemas.Banking.V2.Cashin.Document.ListResponse",
        "x-validate": null
      },
      "V2_GenerateRecurrenceParameters": {
        "description": "GenerateRecurrenceParameters",
        "example": {
          "amounts": {
            "minimum": 100
          },
          "bank_account_id": "019f4198-8913-1ec9-52c6-706c618a1c5d",
          "contract_number": "123456789",
          "counterparty": {
            "bank_account": {
              "branch": "1234",
              "digit": "1",
              "ispb": "12345678",
              "number": "123456"
            },
            "name": "Payer Name",
            "tax_number": "12345678000100"
          },
          "description": "Monthly payment for services",
          "external_id": "external_id_123",
          "first_payment": {
            "amount": 100,
            "dict_key": "pixkey@mail.com",
            "due_detail": {
              "discount": {
                "per_day_antecipated": {
                  "amount": 2,
                  "calculation_days": "working",
                  "calculation_type": "amount"
                }
              },
              "due_date": "2026-10-30",
              "fine": {
                "calculation_type": "percentage",
                "value": 10
              },
              "interest": {
                "amount": 20,
                "calculation_days": "calendar",
                "calculation_period": "month",
                "calculation_type": "amount"
              },
              "rebate": {
                "calculation_type": "percentage",
                "value": 50
              }
            }
          },
          "options": {
            "authorization_type": "app",
            "automated_attempt_retry": false,
            "automatic_schedule": false,
            "next_working_day": true,
            "qrcode_expiration_seconds": 86400,
            "retry_policy": "3r_7d"
          },
          "periodicity": "mnth",
          "start_date": "2026-10-25"
        },
        "properties": {
          "amounts": {
            "description": "Recurrence Amount, use fixed for fixed amount recurences. For variable amount recurrences, a minimum can be defined. If defined, the counterparty cannot define a limit lower than the minimum. Variable amount recurrences need to be updated with the amount before each collecting date. If left blank, a variable amount recurrence will be created with no minimum",
            "nullable": true,
            "properties": {
              "fixed": {
                "description": "Fixed Amount in cents, used for fixed amount recurrences",
                "nullable": true,
                "type": "integer",
                "x-struct": null,
                "x-validate": null
              },
              "minimum": {
                "description": "Minimum Amount in cents, used for variable amount recurrences",
                "nullable": true,
                "type": "integer",
                "x-struct": null,
                "x-validate": null
              }
            },
            "type": "object",
            "x-struct": null,
            "x-validate": null
          },
          "bank_account_id": {
            "description": "Bank Account ID",
            "format": "uuid",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "contract_number": {
            "description": "Contract Number",
            "maxLength": 35,
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "counterparty": {
            "description": "Counterparty",
            "properties": {
              "bank_account": {
                "description": "Counterparty Bank Account, required for authorization type 'app', this is the bank account that will receive the request to approve the recurrence",
                "nullable": true,
                "properties": {
                  "branch": {
                    "description": "Counterparty Bank Account Branch",
                    "pattern": "^[0-9]+$",
                    "type": "string",
                    "x-struct": null,
                    "x-validate": null
                  },
                  "digit": {
                    "description": "Counterparty Bank Account Digit",
                    "pattern": "^[0-9]$",
                    "type": "string",
                    "x-struct": null,
                    "x-validate": null
                  },
                  "ispb": {
                    "description": "Counterparty Bank Account ISPB",
                    "pattern": "^[0-9]{8}$",
                    "type": "string",
                    "x-struct": null,
                    "x-validate": null
                  },
                  "number": {
                    "description": "Counterparty Bank Account Number",
                    "pattern": "^[0-9]+$",
                    "type": "string",
                    "x-struct": null,
                    "x-validate": null
                  }
                },
                "required": [
                  "ispb",
                  "number",
                  "branch",
                  "digit"
                ],
                "type": "object",
                "x-struct": null,
                "x-validate": null
              },
              "info": {
                "description": "Counterparty Info",
                "nullable": true,
                "properties": {
                  "address": {
                    "description": "Counterparty Address",
                    "nullable": true,
                    "type": "string",
                    "x-struct": null,
                    "x-validate": null
                  },
                  "city": {
                    "description": "Counterparty City",
                    "nullable": true,
                    "type": "string",
                    "x-struct": null,
                    "x-validate": null
                  },
                  "email": {
                    "description": "Counterparty Email",
                    "nullable": true,
                    "type": "string",
                    "x-struct": null,
                    "x-validate": null
                  },
                  "postal_code": {
                    "description": "Counterparty Postal Code",
                    "nullable": true,
                    "type": "string",
                    "x-struct": null,
                    "x-validate": null
                  },
                  "state": {
                    "description": "Counterparty State",
                    "nullable": true,
                    "type": "string",
                    "x-struct": null,
                    "x-validate": null
                  }
                },
                "type": "object",
                "x-struct": null,
                "x-validate": null
              },
              "name": {
                "description": "Counterparty Name",
                "type": "string",
                "x-struct": null,
                "x-validate": null
              },
              "tax_number": {
                "description": "Counterparty Tax Number",
                "type": "string",
                "x-struct": null,
                "x-validate": null
              }
            },
            "required": [
              "tax_number",
              "name"
            ],
            "type": "object",
            "x-struct": null,
            "x-validate": null
          },
          "description": {
            "description": "Description",
            "maxLength": 35,
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "end_date": {
            "description": "Last day of the recurrence",
            "format": "date",
            "nullable": true,
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "external_id": {
            "description": "Recurrence External ID",
            "nullable": true,
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "first_payment": {
            "$ref": "#/components/schemas/V2_FirstPaymentWithDueDetail"
          },
          "options": {
            "description": "Recurrence options",
            "nullable": true,
            "properties": {
              "authorization_type": {
                "default": "qrcode",
                "description": "Authorization type of the recurrence. Use 'qrcode' for requesting directly to the counterparty banking app or 'qrcode' for generating a QRCode",
                "enum": [
                  "app",
                  "qrcode"
                ],
                "nullable": true,
                "type": "string",
                "x-struct": null,
                "x-validate": null
              },
              "automated_attempt_retry": {
                "default": true,
                "description": "Automated Attempt Retry. If not set, all the attempts retries should be scheduled each time after the previous one is not settled. i.e. if the attempt is not settled, the next attempt needs to be rescheduled. If the parameter is true, it will be done automatically",
                "nullable": true,
                "type": "boolean",
                "x-struct": null,
                "x-validate": null
              },
              "automatic_schedule": {
                "default": true,
                "description": "Automated Collecting on the defined periodicity. If not set, the recurrence must be scheduled each time. i.e. if periodicity is 'mnth', the recurrence needs to be scheduled each month, between 2 and 10 days before the next payment date",
                "nullable": true,
                "type": "boolean",
                "x-struct": null,
                "x-validate": null
              },
              "next_working_day": {
                "default": false,
                "description": "Do not bill on Holidays, bill on the counterparty's next working day",
                "nullable": true,
                "type": "boolean",
                "x-struct": null,
                "x-validate": null
              },
              "qrcode_expiration_seconds": {
                "default": 86400,
                "description": "Expiration time in seconds for the dynamic QR code. If the generated QR code is static, this field is disconsidered as the static QR code does not expire.",
                "nullable": true,
                "type": "integer",
                "x-struct": null,
                "x-validate": null
              },
              "retry_policy": {
                "default": "3r_7d",
                "description": "Recurrence retry policy. '3r_7d': if the collecting fails, it will be retried 3 times in a 7 days period, on alternating days. 'none': no retry",
                "enum": [
                  "none",
                  "3r_7d"
                ],
                "nullable": true,
                "type": "string",
                "x-struct": null,
                "x-validate": null
              }
            },
            "type": "object",
            "x-struct": null,
            "x-validate": null
          },
          "periodicity": {
            "description": "'week': every week, 'mnth': every month, 'qurt': every 3 months, 'mian': every 6 months, 'year': every year",
            "enum": [
              "week",
              "mnth",
              "qurt",
              "mian",
              "year"
            ],
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "start_date": {
            "description": "First day of the recurrence",
            "format": "date",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          }
        },
        "required": [
          "bank_account_id",
          "counterparty",
          "description",
          "periodicity",
          "contract_number",
          "start_date"
        ],
        "title": "V2 GenerateRecurrenceParameters",
        "type": "object",
        "x-struct": "Elixir.TrioFoundationWeb.Schemas.Banking.V2.Cashin.Recurrence.GenerateRecurrenceParams",
        "x-validate": null
      },
      "V2_in_document_refund_response": {
        "description": "In document refund response",
        "example": {
          "data": {
            "amount": {
              "amount": 1,
              "currency": "BRL"
            },
            "bank_account_id": "019ddfe9-e64b-b642-36fd-efdaef77d05e",
            "counterparty": {
              "bank_account_id": "0008d49c-e6d5-a58e-a742-449e9b38f795",
              "id": "0008d49c-e6d5-4d86-232a-a6f4b9138f10",
              "name": "John Doe",
              "tax_number": "***982247**"
            },
            "description": "Devolução manual",
            "end_to_end_id": "D49931906202610081927B4HdgiWHdjH",
            "external_id": null,
            "id": "01a11cfb-fc1a-71d3-28ed-8ff75c88e872",
            "in_document_id": "01a117fc-bb66-88e2-942b-0ce8cd702c5c",
            "inserted_at": "2026-10-08T19:27:19.400000Z",
            "med": false,
            "origin": {
              "id": "d4abaabe-5ebf-4628-ba34-5a1b17da4c6b",
              "type": "console_user"
            },
            "receipt_url": "https://receipts.trio.com.br/019489e6-f64f-5cfe-770b-79b671ec66f0/in_refund/01a11cfb-fc1a-71d3-28ed-8ff75c88e872",
            "reconciliation_id": "01a11cfb-fc1a-e185-85ce-75c67ff0ad87",
            "stages": [
              {
                "error_code": null,
                "error_message": null,
                "id": "01a11cfb-fc1a-9ee4-7389-d989b8d525ff",
                "inserted_at": "2026-10-08T19:27:19.400000Z",
                "status": "created"
              },
              {
                "error_code": null,
                "error_message": null,
                "id": "01a11cfb-fc1a-91ab-04df-8d348772400b",
                "inserted_at": "2026-10-08T19:27:19.600000Z",
                "status": "settled"
              }
            ],
            "status": "settled",
            "transaction_date": "2026-10-08T19:27:19.524000Z",
            "updated_at": "2026-10-08T19:27:19.600000Z"
          }
        },
        "properties": {
          "data": {
            "$ref": "#/components/schemas/V2_in_document_refund"
          }
        },
        "title": "V2 in document refund response",
        "type": "object",
        "x-struct": "Elixir.TrioFoundationWeb.Schemas.Banking.V2.Cashin.Refund.Response",
        "x-validate": null
      },
      "V2_Pix_Key_single_response": {
        "description": "Pix Key response",
        "example": {
          "data": {
            "bank_account_id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2",
            "id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2",
            "inserted_at": "2020-01-10T10:00:00Z",
            "key": "12345678900",
            "status": "created",
            "tax_number": "12345678900",
            "type": "tax_number",
            "updated_at": "2020-01-10T10:00:00Z"
          }
        },
        "properties": {
          "data": {
            "$ref": "#/components/schemas/V2_Pix_Key_response"
          }
        },
        "title": "V2 Pix Key single response",
        "type": "object",
        "x-struct": "Elixir.TrioFoundationWeb.Schemas.Banking.V2.Cashin.Key.Response",
        "x-validate": null
      },
      "Counterparty_recipient_data": {
        "description": "Body response of the counterparty recipient",
        "example": {
          "bank_account": null,
          "counterparty": {
            "id": "018df099-093e-cfd1-4500-4c9392eb5d8a",
            "name": "Random",
            "tax_number": "34842155000197"
          },
          "id": "1fb05245-a185-0ec1-2661-3390353a35e3",
          "pix_key": "some-pix-key",
          "ref_type": "pix_key"
        },
        "properties": {
          "bank_account": {
            "$ref": "#/components/schemas/Counterparty_recipient_bank_account_data"
          },
          "counterparty": {
            "$ref": "#/components/schemas/Counterparty_recipient_counterparty_data"
          },
          "id": {
            "$ref": "#/components/schemas/UUID"
          },
          "pix_key": {
            "description": "Pix key",
            "nullable": true,
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "ref_type": {
            "description": "How the recipient is referenced",
            "enum": [
              "pix_key",
              "bank_account_detailed"
            ],
            "type": "string",
            "x-struct": null,
            "x-validate": null
          }
        },
        "title": "Counterparty recipient data",
        "type": "object",
        "x-struct": "Elixir.TrioFoundationWeb.Schemas.Banking.V2.Counterparty.Recipient.RecipientData",
        "x-validate": null
      },
      "V2_card_purchase_response": {
        "description": "A card purchase with its stages",
        "example": {
          "data": {
            "amount": {
              "amount": 10000,
              "currency": "BRL"
            },
            "card_id": "01978eea-1d48-9176-e7f6-2ff0992c1b58",
            "category_code": "foodAndBeverage",
            "category_type": "restaurants",
            "description": "Lunch",
            "end_to_end_id": "EE202506111406IVIN5pXVoyp",
            "entity_id": "01978eea-14d9-0d41-ce30-a9e2cbf743c5",
            "error_code": null,
            "error_message": null,
            "id": "0192f790-170e-e630-609a-18a0447ee30b",
            "inserted_at": "2025-06-11T14:06:12.196500Z",
            "is_partially_allowed": false,
            "issuer_amount": {
              "amount": 10000,
              "currency": "BRL"
            },
            "merchant": {
              "amount": {
                "amount": 10000,
                "currency": "BRL"
              },
              "country_code": "BR",
              "currency_symbol": "R$",
              "name": "John Doe Store"
            },
            "method_code": "contactless",
            "purchased_at": "2025-06-11T14:06:10.430838Z",
            "purpose": "purchase",
            "receipt_url": "https://receipt.example.com/purchase/0192f790-170e-e630-609a-18a0447ee30b",
            "stages": [
              {
                "amount": {
                  "amount": 10000,
                  "currency": "BRL"
                },
                "callback_amount": {
                  "amount": 10000,
                  "currency": "BRL"
                },
                "callback_type": "confirmed",
                "card_id": "01978eea-1d48-9176-e7f6-2ff0992c1b58",
                "category_code": "foodAndBeverage",
                "category_type": "restaurants",
                "description": "Lunch",
                "end_to_end_id": "EE202506111406IVIN5pXVoyp",
                "entity_id": "01978eea-14d9-0d41-ce30-a9e2cbf743c5",
                "error_code": null,
                "error_message": null,
                "id": "0192f790-170e-1639-9f94-b0296ef109c2",
                "inserted_at": "2025-06-11T14:06:12.196500Z",
                "is_partially_allowed": false,
                "issuer_amount": {
                  "amount": 10000,
                  "currency": "BRL"
                },
                "merchant": {
                  "amount": {
                    "amount": 10000,
                    "currency": "BRL"
                  },
                  "country_code": "BR",
                  "currency_symbol": "R$",
                  "name": "John Doe Store"
                },
                "method_code": "contactless",
                "purchase_document_id": "0192f790-170e-e630-609a-18a0447ee30b",
                "purpose": "purchase",
                "status": "confirmed",
                "tax": {
                  "amount": 0,
                  "currency": "BRL"
                },
                "updated_at": "2025-06-11T14:06:12.196500Z",
                "zip_code": null
              }
            ],
            "status": "confirmed",
            "tax": {
              "amount": 0,
              "currency": "BRL"
            },
            "updated_at": "2025-06-11T14:06:12.196500Z",
            "zip_code": null
          }
        },
        "properties": {
          "data": {
            "$ref": "#/components/schemas/V2_card_purchase_with_stages"
          }
        },
        "required": [
          "data"
        ],
        "title": "V2 card purchase response",
        "type": "object",
        "x-struct": "Elixir.TrioFoundationWeb.Schemas.Banking.V2.Card.Purchase.Response",
        "x-validate": null
      },
      "V2_counterparty_bank_account_create_params": {
        "description": "The bank account to add to the counterparty",
        "example": {
          "branch": "0001",
          "digit": "1",
          "ispb": "12345678",
          "number": "87654321",
          "type": "checking"
        },
        "properties": {
          "branch": {
            "description": "Branch",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "digit": {
            "description": "Account digit",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "ispb": {
            "description": "ISPB of the institution",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "number": {
            "description": "Account number",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "type": {
            "description": "Account type",
            "enum": [
              "checking",
              "payment",
              "salary",
              "savings"
            ],
            "type": "string",
            "x-struct": null,
            "x-validate": null
          }
        },
        "required": [
          "ispb",
          "branch",
          "number",
          "digit",
          "type"
        ],
        "title": "V2 counterparty bank account create params",
        "type": "object",
        "x-struct": "Elixir.TrioFoundationWeb.Schemas.Banking.V2.Counterparty.BankAccount.CreateParams",
        "x-validate": null
      },
      "V2_transfer_create_params": {
        "description": "Body params to generate a transfer",
        "example": {
          "amount": 100,
          "description": "Transferência interna",
          "external_id": "external_id",
          "from_bank_account_id": "1a760495-cb95-4023-96e8-0cff5776b010",
          "to_bank_account_id": "1a760495-cb95-4023-96e8-0cff5776b010"
        },
        "properties": {
          "amount": {
            "description": "Amount in cents",
            "minimum": 1,
            "type": "integer",
            "x-struct": null,
            "x-validate": null
          },
          "description": {
            "description": "Transfer description",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "external_id": {
            "description": "External ID",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "from_bank_account_id": {
            "description": "From bank account ID",
            "format": "uuid",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "to_bank_account_id": {
            "description": "To bank account ID",
            "format": "uuid",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          }
        },
        "required": [
          "amount",
          "from_bank_account_id",
          "to_bank_account_id"
        ],
        "title": "V2 transfer create params",
        "type": "object",
        "x-struct": "Elixir.TrioFoundationWeb.Schemas.Banking.V2.Transfer.CreateParams",
        "x-validate": null
      },
      "V2_RecurrenceStageData": {
        "description": "A stage of a recurrence. `error_code` and `error_message` carry the rejection reason when there is one.",
        "example": {
          "error_code": null,
          "error_message": null,
          "id": "01997d8e-85b2-98fa-623f-8108b6aa8b8d",
          "inserted_at": "2025-09-24T21:08:36.423774Z",
          "status": "created"
        },
        "properties": {
          "error_code": {
            "description": "Error code",
            "nullable": true,
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "error_message": {
            "description": "Error message",
            "nullable": true,
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "id": {
            "description": "Stage ID",
            "format": "uuid",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "inserted_at": {
            "description": "When the stage was recorded",
            "format": "date-time",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "status": {
            "description": "Recurrence status the stage recorded",
            "enum": [
              "created",
              "approved",
              "rejected",
              "expired",
              "cancelled",
              "collection_link"
            ],
            "type": "string",
            "x-struct": null,
            "x-validate": null
          }
        },
        "title": "V2 RecurrenceStageData",
        "type": "object",
        "x-struct": null,
        "x-validate": null
      },
      "V2_listed_counterparty": {
        "description": "A counterparty as the listing returns it, without its bank accounts",
        "example": {
          "id": "018df099-093e-cfd1-4500-4c9392eb5d8a",
          "inserted_at": "2024-10-17T13:32:59.374149Z",
          "name": "participant_1",
          "tax_number": "***456789**",
          "updated_at": "2024-10-17T13:32:59.374149Z"
        },
        "properties": {
          "id": {
            "description": "ID",
            "format": "uuid",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "inserted_at": {
            "description": "Creation date and time",
            "format": "date-time",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "name": {
            "description": "Name of the counterparty",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "tax_number": {
            "description": "Tax number of the counterparty. A CPF is masked (e.g. ***456789**); a CNPJ is published as is",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "updated_at": {
            "description": "Last update date and time",
            "format": "date-time",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          }
        },
        "title": "V2 listed counterparty",
        "type": "object",
        "x-struct": "Elixir.TrioFoundationWeb.Schemas.Banking.V2.Counterparty.ListedCounterpartyData",
        "x-validate": null
      },
      "RecurrencePeriodicity": {
        "description": "'week': every week, 'mnth': every month, 'qurt': every 3 months, 'mian': every 6 months, 'year': every year",
        "enum": [
          "week",
          "mnth",
          "qurt",
          "mian",
          "year"
        ],
        "title": "RecurrencePeriodicity",
        "type": "string",
        "x-struct": null,
        "x-validate": null
      },
      "V2_card_purchase_stage": {
        "description": "One card network callback recorded for the purchase",
        "example": {
          "amount": {
            "amount": 10000,
            "currency": "BRL"
          },
          "callback_amount": {
            "amount": 10000,
            "currency": "BRL"
          },
          "callback_type": "confirmed",
          "card_id": "01978eea-1d48-9176-e7f6-2ff0992c1b58",
          "category_code": "foodAndBeverage",
          "category_type": "restaurants",
          "description": "Lunch",
          "end_to_end_id": "EE202506111406IVIN5pXVoyp",
          "entity_id": "01978eea-14d9-0d41-ce30-a9e2cbf743c5",
          "error_code": null,
          "error_message": null,
          "id": "0192f790-170e-1639-9f94-b0296ef109c2",
          "inserted_at": "2025-06-11T14:06:12.196500Z",
          "is_partially_allowed": false,
          "issuer_amount": {
            "amount": 10000,
            "currency": "BRL"
          },
          "merchant": {
            "amount": {
              "amount": 10000,
              "currency": "BRL"
            },
            "country_code": "BR",
            "currency_symbol": "R$",
            "name": "John Doe Store"
          },
          "method_code": "contactless",
          "purchase_document_id": "0192f790-170e-e630-609a-18a0447ee30b",
          "purpose": "purchase",
          "status": "confirmed",
          "tax": {
            "amount": 0,
            "currency": "BRL"
          },
          "updated_at": "2025-06-11T14:06:12.196500Z",
          "zip_code": null
        },
        "properties": {
          "amount": {
            "$ref": "#/components/schemas/V2_card_money"
          },
          "callback_amount": {
            "$ref": "#/components/schemas/V2_card_nullable_money"
          },
          "callback_type": {
            "description": "Callback type",
            "enum": [
              "authorization",
              "approved",
              "denied",
              "canceled",
              "reversed",
              "voided",
              "confirmed"
            ],
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "card_id": {
            "description": "Card ID",
            "format": "uuid",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "category_code": {
            "description": "Category code",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "category_type": {
            "description": "Category type",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "description": {
            "description": "Description",
            "nullable": true,
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "end_to_end_id": {
            "$ref": "#/components/schemas/V2_card_purchase_end_to_end_id"
          },
          "entity_id": {
            "description": "Entity ID",
            "format": "uuid",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "error_code": {
            "description": "Why the purchase was declined, as a code",
            "nullable": true,
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "error_message": {
            "description": "Why the purchase was declined",
            "nullable": true,
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "id": {
            "description": "Stage ID",
            "format": "uuid",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "inserted_at": {
            "description": "When the stage was recorded",
            "format": "date-time",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "is_partially_allowed": {
            "description": "Is partially allowed",
            "type": "boolean",
            "x-struct": null,
            "x-validate": null
          },
          "issuer_amount": {
            "$ref": "#/components/schemas/V2_card_nullable_money"
          },
          "merchant": {
            "$ref": "#/components/schemas/V2_card_purchase_merchant"
          },
          "method_code": {
            "$ref": "#/components/schemas/V2_card_purchase_method_code"
          },
          "purchase_document_id": {
            "description": "Purchase ID",
            "format": "uuid",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "purpose": {
            "description": "Purpose",
            "nullable": true,
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "status": {
            "$ref": "#/components/schemas/V2_card_purchase_status"
          },
          "tax": {
            "$ref": "#/components/schemas/V2_card_nullable_money"
          },
          "updated_at": {
            "description": "When the stage was last updated",
            "format": "date-time",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "zip_code": {
            "description": "Zip code",
            "nullable": true,
            "type": "string",
            "x-struct": null,
            "x-validate": null
          }
        },
        "title": "V2 card purchase stage",
        "type": "object",
        "x-struct": "Elixir.TrioFoundationWeb.Schemas.Banking.V2.Card.Purchase.Stage",
        "x-validate": null
      },
      "V2_counterparty_response": {
        "description": "Counterparty response",
        "example": {
          "data": {
            "bank_accounts": [
              {
                "branch": "0001",
                "digit": "1",
                "id": "018df099-093e-cfd1-4500-4c9392eb5d8a",
                "inserted_at": "2024-10-17T13:32:59.374149Z",
                "ispb": "12345678",
                "number": "87654321",
                "type": "checking",
                "updated_at": "2024-10-17T13:32:59.374149Z"
              }
            ],
            "id": "018df099-093e-cfd1-4500-4c9392eb5d8a",
            "inserted_at": "2024-10-17T13:32:59.374149Z",
            "name": "participant_1",
            "tax_number": "***456789**",
            "updated_at": "2024-10-17T13:32:59.374149Z"
          }
        },
        "properties": {
          "data": {
            "$ref": "#/components/schemas/V2_counterparty"
          }
        },
        "title": "V2 counterparty response",
        "type": "object",
        "x-struct": "Elixir.TrioFoundationWeb.Schemas.Banking.V2.Counterparty.Response",
        "x-validate": null
      },
      "V2_bank_account_response": {
        "description": "A bank account response",
        "example": {
          "data": {
            "balances": {
              "available": {
                "amount": 150000,
                "currency": "BRL"
              },
              "blocked": {
                "amount": 10000,
                "currency": "BRL"
              },
              "updated_at": "2026-10-07T12:00:00.000000Z"
            },
            "branch": "0001",
            "category": "owner",
            "description": "Conta",
            "digit": "1",
            "id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2",
            "inserted_at": "2024-10-12T00:00:00.000000Z",
            "limits": {
              "payments": {
                "daily": {
                  "max": {
                    "amount": 50000000,
                    "currency": "BRL"
                  },
                  "used": {
                    "amount": 120000,
                    "currency": "BRL"
                  }
                },
                "overnight": {
                  "max": {
                    "amount": 20000000,
                    "currency": "BRL"
                  },
                  "used": {
                    "amount": 0,
                    "currency": "BRL"
                  }
                },
                "transaction": {
                  "max": {
                    "amount": 4500000,
                    "currency": "BRL"
                  }
                }
              },
              "pix": {
                "daily": {
                  "max": {
                    "amount": 50000000,
                    "currency": "BRL"
                  },
                  "used": {
                    "amount": 120000,
                    "currency": "BRL"
                  }
                },
                "overnight": {
                  "max": {
                    "amount": 20000000,
                    "currency": "BRL"
                  },
                  "used": {
                    "amount": 0,
                    "currency": "BRL"
                  }
                },
                "transaction": {
                  "max": {
                    "amount": 4500000,
                    "currency": "BRL"
                  }
                }
              },
              "ted": {
                "daily": {
                  "max": {
                    "amount": 50000000,
                    "currency": "BRL"
                  },
                  "used": {
                    "amount": 120000,
                    "currency": "BRL"
                  }
                },
                "overnight": {
                  "max": {
                    "amount": 20000000,
                    "currency": "BRL"
                  },
                  "used": {
                    "amount": 0,
                    "currency": "BRL"
                  }
                },
                "transaction": {
                  "max": {
                    "amount": 4500000,
                    "currency": "BRL"
                  }
                }
              },
              "tef": {
                "daily": {
                  "max": {
                    "amount": 50000000,
                    "currency": "BRL"
                  },
                  "used": {
                    "amount": 120000,
                    "currency": "BRL"
                  }
                },
                "overnight": {
                  "max": {
                    "amount": 20000000,
                    "currency": "BRL"
                  },
                  "used": {
                    "amount": 0,
                    "currency": "BRL"
                  }
                },
                "transaction": {
                  "max": {
                    "amount": 4500000,
                    "currency": "BRL"
                  }
                }
              }
            },
            "number": "12345678",
            "parameters": {
              "automatic_refund_for_person_dead": false,
              "automatic_refund_for_person_invalid_tax_number": false,
              "automatic_refund_for_person_underage": false,
              "in_block_for_legal_entity": false,
              "in_block_for_pix_qrcode_different_amount_payment": false,
              "in_block_for_pix_qrcode_different_counterparty_bank_account": false,
              "in_block_for_pix_qrcode_different_tax_number": false,
              "in_block_for_pix_qrcode_duplicated_payment": false,
              "in_block_for_unauthorized_participant": false,
              "in_block_for_unidentified_deposit": false,
              "out_block_for_legal_entity": false,
              "out_blocked": false
            },
            "status": "approved",
            "type": "checking",
            "updated_at": "2024-10-12T00:00:00.000000Z"
          }
        },
        "properties": {
          "data": {
            "$ref": "#/components/schemas/V2_bank_account"
          }
        },
        "title": "V2 bank account response",
        "type": "object",
        "x-struct": "Elixir.TrioFoundationWeb.Schemas.Banking.V2.BankAccount.Response",
        "x-validate": null
      },
      "V2_card_list_metadata": {
        "description": "Pagination cursors",
        "example": {
          "after": null,
          "before": null,
          "has_more": false
        },
        "properties": {
          "after": {
            "description": "Cursor to the next page",
            "nullable": true,
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "before": {
            "description": "Cursor to the previous page",
            "nullable": true,
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "has_more": {
            "description": "Whether a next page exists",
            "type": "boolean",
            "x-struct": null,
            "x-validate": null
          }
        },
        "required": [
          "after",
          "before",
          "has_more"
        ],
        "title": "V2 card list metadata",
        "type": "object",
        "x-struct": "Elixir.TrioFoundationWeb.Schemas.Banking.V2.Card.ListMetadata",
        "x-validate": null
      },
      "Onboarding_entity_representative_parameters": {
        "description": "Onboard legal representatives parameters for creating entity",
        "example": {
          "email": "john@gcorp.com",
          "is_pep": false,
          "is_us_person": false,
          "name": "John",
          "phone": "+5541999990000",
          "tax_number": "04969361908"
        },
        "properties": {
          "email": {
            "description": "Legal representative email",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "is_pep": {
            "default": false,
            "description": "Whether the legal representative is a politically exposed person",
            "type": "boolean",
            "x-struct": null,
            "x-validate": null
          },
          "is_us_person": {
            "default": false,
            "description": "Whether the legal representative is a US person",
            "type": "boolean",
            "x-struct": null,
            "x-validate": null
          },
          "name": {
            "description": "Legal representative name",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "phone": {
            "description": "Legal representative phone number in e.164 format",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "tax_number": {
            "description": "Legal representative tax number",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          }
        },
        "required": [
          "tax_number",
          "email",
          "phone",
          "name"
        ],
        "title": "Onboarding entity representative parameters",
        "type": "object",
        "x-struct": "Elixir.TrioFoundationWeb.Schemas.Onboarding.Entity.EntityRepresentativeParams",
        "x-validate": null
      },
      "V2_pledged_advance_request": {
        "description": "Pledged advance request",
        "example": {
          "amount": {
            "amount": 100000,
            "currency": "BRL"
          },
          "approved_at": null,
          "assignor": {
            "bank_account_digit": "2",
            "bank_account_id": "019084f3-ea10-3691-38dc-bda6ac03cb7c",
            "bank_account_number": "0023123",
            "tax_number": "63558804023"
          },
          "bank_account_id": "019084f3-ea10-3691-38dc-bda6ac03cb7b",
          "canceled_at": null,
          "charges": [],
          "contract_file_reference": "pledged/contracts/1_contract.pdf",
          "description": "Antecipação de recebíveis",
          "entity_id": "019084f3-ea10-3691-38dc-bda6ac03cb7a",
          "id": "019084f3-ea10-3691-38dc-bda6ac03cb70",
          "inserted_at": "2026-09-10T12:00:00.000000Z",
          "payer": {
            "tax_number": "80617053000195"
          },
          "pledged_amount": {
            "amount": 100000,
            "currency": "BRL"
          },
          "pledged_balance": {
            "amount": 100000,
            "currency": "BRL"
          },
          "pledged_by": "payer_tax_number",
          "rejected_at": null,
          "status": "created",
          "updated_at": "2026-09-10T12:00:00.000000Z"
        },
        "properties": {
          "amount": {
            "description": "Advance amount requested",
            "properties": {
              "amount": {
                "description": "Amount in cents",
                "type": "integer",
                "x-struct": null,
                "x-validate": null
              },
              "currency": {
                "description": "Currency code (ISO 4217)",
                "type": "string",
                "x-struct": null,
                "x-validate": null
              }
            },
            "type": "object",
            "x-struct": null,
            "x-validate": null
          },
          "approved_at": {
            "description": "When the advance request was approved",
            "format": "date-time",
            "nullable": true,
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "assignor": {
            "description": "Assignor of the pledged receivables",
            "properties": {
              "bank_account_digit": {
                "description": "Assignor bank account digit",
                "nullable": true,
                "type": "string",
                "x-struct": null,
                "x-validate": null
              },
              "bank_account_id": {
                "description": "Assignor bank account ID",
                "format": "uuid",
                "type": "string",
                "x-struct": null,
                "x-validate": null
              },
              "bank_account_number": {
                "description": "Assignor bank account number",
                "nullable": true,
                "type": "string",
                "x-struct": null,
                "x-validate": null
              },
              "tax_number": {
                "description": "Assignor tax number",
                "type": "string",
                "x-struct": null,
                "x-validate": null
              }
            },
            "type": "object",
            "x-struct": null,
            "x-validate": null
          },
          "bank_account_id": {
            "description": "Bank account that receives the advance",
            "format": "uuid",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "canceled_at": {
            "description": "When the advance request was canceled",
            "format": "date-time",
            "nullable": true,
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "charges": {
            "description": "Charges pledged to the advance request",
            "items": {
              "$ref": "#/components/schemas/V2_pledged_advance_request_charge"
            },
            "type": "array",
            "x-struct": null,
            "x-validate": null
          },
          "contract_file_reference": {
            "description": "Reference of the contract file uploaded with the request",
            "nullable": true,
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "description": {
            "description": "Description",
            "nullable": true,
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "entity_id": {
            "description": "Entity ID",
            "format": "uuid",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "id": {
            "description": "Advance request ID",
            "format": "uuid",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "inserted_at": {
            "description": "When the advance request was created",
            "format": "date-time",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "payer": {
            "description": "Payer whose charges are pledged",
            "properties": {
              "tax_number": {
                "description": "Payer tax number",
                "type": "string",
                "x-struct": null,
                "x-validate": null
              }
            },
            "type": "object",
            "x-struct": null,
            "x-validate": null
          },
          "pledged_amount": {
            "description": "Total amount of the charges pledged to the advance",
            "properties": {
              "amount": {
                "description": "Amount in cents",
                "type": "integer",
                "x-struct": null,
                "x-validate": null
              },
              "currency": {
                "description": "Currency code (ISO 4217)",
                "type": "string",
                "x-struct": null,
                "x-validate": null
              }
            },
            "type": "object",
            "x-struct": null,
            "x-validate": null
          },
          "pledged_balance": {
            "description": "Pledged amount not yet received from the charges",
            "properties": {
              "amount": {
                "description": "Amount in cents",
                "type": "integer",
                "x-struct": null,
                "x-validate": null
              },
              "currency": {
                "description": "Currency code (ISO 4217)",
                "type": "string",
                "x-struct": null,
                "x-validate": null
              }
            },
            "type": "object",
            "x-struct": null,
            "x-validate": null
          },
          "pledged_by": {
            "description": "What the receivables are pledged by: every charge of the payer, or the charges listed",
            "enum": [
              "payer_tax_number",
              "charge_id"
            ],
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "rejected_at": {
            "description": "When the advance request was rejected",
            "format": "date-time",
            "nullable": true,
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "status": {
            "description": "Advance request status",
            "enum": [
              "created",
              "approved",
              "rejected",
              "canceled"
            ],
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "updated_at": {
            "description": "When the advance request was last updated",
            "format": "date-time",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          }
        },
        "title": "V2 pledged advance request",
        "type": "object",
        "x-struct": "Elixir.TrioFoundationWeb.Schemas.Banking.V2.Pledged.AdvanceRequest.Data",
        "x-validate": null
      },
      "V2_list_of_stages_within_an_in_document": {
        "description": "List of stages within an in document",
        "items": {
          "$ref": "#/components/schemas/V2_stage_of_an_in_document"
        },
        "title": "V2 list of stages within an in document",
        "type": "array",
        "x-struct": "Elixir.TrioFoundationWeb.Schemas.Banking.V2.Cashin.Document.StageListResponse",
        "x-validate": null
      },
      "Limit": {
        "description": "Limit list",
        "minimum": 10,
        "title": "Limit",
        "type": "integer",
        "x-struct": null,
        "x-validate": null
      },
      "V2_onboarding_parameters": {
        "description": "Onboard parameters for creating entity",
        "example": {
          "business_infos": {
            "annual_revenue": {
              "amount": 500000,
              "currency": "BRL"
            },
            "average_ticket": {
              "amount": 10000000,
              "currency": "BRL"
            }
          },
          "consent": {
            "consent_at": "2026-08-25T07:00:00.000Z",
            "ip_address": "8.8.8.8",
            "tax_number": "04969361908"
          },
          "external_id": "12345ET",
          "name": "Entity Test",
          "representatives": [
            {
              "email": "john@gcorp.com",
              "is_pep": false,
              "is_us_person": false,
              "name": "John",
              "phone": "+5541999990000",
              "tax_number": "04969361908"
            }
          ],
          "tax_number": "61775921000110"
        },
        "properties": {
          "business_infos": {
            "$ref": "#/components/schemas/V2_onboarding_entity_business_information_parameters"
          },
          "consent": {
            "$ref": "#/components/schemas/Onboarding_entity_consent_parameters"
          },
          "external_id": {
            "description": "External ID of the Entity",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "name": {
            "description": "Name of the Entity",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "representatives": {
            "items": {
              "$ref": "#/components/schemas/Onboarding_entity_representative_parameters"
            },
            "type": "array",
            "x-struct": null,
            "x-validate": null
          },
          "tax_number": {
            "description": "Tax number of the Entity",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          }
        },
        "required": [
          "tax_number",
          "name",
          "business_infos",
          "representatives",
          "consent"
        ],
        "title": "V2 onboarding parameters",
        "type": "object",
        "x-struct": "Elixir.TrioFoundationWeb.Schemas.Onboarding.V2.Entity.OnboardParams",
        "x-validate": null
      },
      "V2_DynamicQRCodeWithDueData": {
        "description": "A dynamic QRCode with due date, as returned by show and create. `image` is present only when create was asked for it with `options.show_qrcode_image`.",
        "example": {
          "amount": {
            "amount": 1000,
            "currency": "BRL"
          },
          "bank_account_id": "01a0d98d-7547-22cf-f4f6-e8a63cd72cf5",
          "counterparty": {
            "id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2"
          },
          "description": "description",
          "due_detail": {
            "due_date": "2026-09-30",
            "fine": {
              "calculation_type": "percentage",
              "value": 200
            }
          },
          "expiration_datetime": "2026-10-06T02:59:59.999999Z",
          "external_id": "external_id",
          "fee": {
            "amount": 0,
            "currency": "BRL"
          },
          "hash": "00020101021226640014br.gov.bcb.pix2542qrcode.trio.com.br/cobv/01M3CRTXYFDDFTA8MF4XH2183B5204000053039865802BR5909NAME TEST6009NAME TEST62070503***63042C42",
          "id": "01a0d98d-77cf-6b5f-a522-8f276220a06b",
          "inserted_at": "2026-09-25T17:12:02.255000Z",
          "options": {
            "allow_change_the_amount_on_payment": true
          },
          "origin": {
            "id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2",
            "type": "none"
          },
          "status": "created",
          "updated_at": "2026-09-25T17:12:02.255000Z"
        },
        "properties": {
          "amount": {
            "description": "Amount value of the dynamic QRCode",
            "properties": {
              "amount": {
                "description": "Amount integer",
                "type": "integer",
                "x-struct": null,
                "x-validate": null
              },
              "currency": {
                "description": "Amount currency string",
                "type": "string",
                "x-struct": null,
                "x-validate": null
              }
            },
            "type": "object",
            "x-struct": null,
            "x-validate": null
          },
          "bank_account_id": {
            "description": "Bank account that receives the payment",
            "format": "uuid",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "counterparty": {
            "description": "Payer the QRCode is issued to",
            "properties": {
              "id": {
                "description": "Counterparty ID",
                "format": "uuid",
                "nullable": true,
                "type": "string",
                "x-struct": null,
                "x-validate": null
              }
            },
            "type": "object",
            "x-struct": null,
            "x-validate": null
          },
          "description": {
            "description": "Description of the dynamic QRCode",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "due_detail": {
            "$ref": "#/components/schemas/V2_PixDueDetail"
          },
          "expiration_datetime": {
            "description": "Datetime after which the QRCode can no longer be paid",
            "format": "date-time",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "external_id": {
            "description": "External ID of the dynamic QRCode",
            "nullable": true,
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "fee": {
            "description": "Fee charged on the payment",
            "nullable": true,
            "properties": {
              "amount": {
                "description": "Fee in cents",
                "type": "integer",
                "x-struct": null,
                "x-validate": null
              },
              "currency": {
                "description": "Currency",
                "type": "string",
                "x-struct": null,
                "x-validate": null
              }
            },
            "type": "object",
            "x-struct": null,
            "x-validate": null
          },
          "hash": {
            "description": "Hash (Pix copy and paste) of the QRCode",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "id": {
            "description": "Unique identifier",
            "format": "uuid",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "image": {
            "description": "Base64 QRCode image, only when requested on create",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "inserted_at": {
            "description": "When the QRCode was created",
            "format": "date-time",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "options": {
            "description": "Payment options of the QRCode",
            "properties": {
              "allow_change_the_amount_on_payment": {
                "description": "Whether the payer may change the amount",
                "type": "boolean",
                "x-struct": null,
                "x-validate": null
              }
            },
            "type": "object",
            "x-struct": null,
            "x-validate": null
          },
          "origin": {
            "description": "Who or what created the QRCode",
            "properties": {
              "id": {
                "description": "Origin ID",
                "format": "uuid",
                "nullable": true,
                "type": "string",
                "x-struct": null,
                "x-validate": null
              },
              "type": {
                "description": "Origin type",
                "nullable": true,
                "type": "string",
                "x-struct": null,
                "x-validate": null
              }
            },
            "type": "object",
            "x-struct": null,
            "x-validate": null
          },
          "status": {
            "description": "Status of the dynamic QRCode",
            "enum": [
              "created",
              "settled",
              "deleted"
            ],
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "updated_at": {
            "description": "When the QRCode was last updated",
            "format": "date-time",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          }
        },
        "title": "V2 DynamicQRCodeWithDueData",
        "type": "object",
        "x-struct": "Elixir.TrioFoundationWeb.Schemas.Banking.V2.Cashin.DynamicBrcodeWithDue.QrCodeData",
        "x-validate": null
      },
      "V2_Generate_Boleto_async_create_params": {
        "description": "Body params to generate an async boleto",
        "example": {
          "amount": 100,
          "bank_account_id": "1a760495-cb95-4023-96e8-0cff5776b010",
          "code": "4b760495-cb55-4043-95e8-0cff5776b013",
          "description": "Consectetur esse sed irure incididunt est culpa nostrud.",
          "external_id": "5b760495-cb55-4043-95e8-0cff5776b014"
        },
        "properties": {
          "amount": {
            "description": "Amount of the boleto in cents",
            "minimum": 1,
            "type": "integer",
            "x-struct": null,
            "x-validate": null
          },
          "bank_account_id": {
            "$ref": "#/components/schemas/UUID"
          },
          "code": {
            "description": "Barcode or digitable_line of the boleto",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "description": {
            "description": "Description of the boleto",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "external_id": {
            "description": "External ID of the boleto for reference",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "fee": {
            "description": "Fee",
            "nullable": true,
            "type": "integer",
            "x-struct": null,
            "x-validate": null
          }
        },
        "required": [
          "amount",
          "bank_account_id",
          "code"
        ],
        "title": "V2 Generate_Boleto_async_create_params",
        "type": "object",
        "x-struct": "Elixir.TrioFoundationWeb.Schemas.Banking.V2.Cashout.Boleto.BoletoSchema.GenerateAsyncRequest",
        "x-validate": null
      },
      "V2_Boleto_recreate_params": {
        "description": "Body params to recreate a boleto: it is cancelled and a new boleto is created with the same fields, the new amount and the new due date (or the current one when `due_detail` is omitted).",
        "example": {
          "amount": 15000,
          "due_detail": {
            "due_date": "2026-12-16"
          }
        },
        "properties": {
          "amount": {
            "description": "New amount in cents",
            "minimum": 1,
            "type": "integer",
            "x-struct": null,
            "x-validate": null
          },
          "due_detail": {
            "nullable": true,
            "properties": {
              "due_date": {
                "description": "New due date of the boleto",
                "format": "date",
                "type": "string",
                "x-struct": null,
                "x-validate": null
              }
            },
            "required": [
              "due_date"
            ],
            "type": "object",
            "x-struct": null,
            "x-validate": null
          }
        },
        "required": [
          "amount"
        ],
        "title": "V2 Boleto_recreate_params",
        "type": "object",
        "x-struct": "Elixir.TrioFoundationWeb.Schemas.Banking.V2.Cashin.Boleto.RecreateRequest",
        "x-validate": null
      },
      "V2_CreateNextCollectionParams": {
        "description": "Body params to create the next collection of a recurrence",
        "example": {
          "recurrence_id": "019a0d9e-d161-cd70-e9bd-f90cf4b50e33"
        },
        "properties": {
          "recurrence_id": {
            "description": "Recurrence ID",
            "format": "uuid",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          }
        },
        "required": [
          "recurrence_id"
        ],
        "title": "V2 CreateNextCollectionParams",
        "type": "object",
        "x-struct": "Elixir.TrioFoundationWeb.Schemas.Banking.V2.Cashin.Recurrence.Collection.CreateNextCollectionParams",
        "x-validate": null
      },
      "V2_card_with_balance": {
        "description": "Card, with its current balance",
        "example": {
          "balance": {
            "amount": 0,
            "currency": "BRL"
          },
          "display_name": "marketing card",
          "entity_id": "019514eb-5d5c-4a1e-9f0b-1c2d3e4f5a6b",
          "id": "019514eb-5d5c-b395-5a77-449d12701ce7",
          "masked_number": "•••• •••• •••• 1234",
          "status": "active",
          "type": "virtual"
        },
        "properties": {
          "balance": {
            "$ref": "#/components/schemas/V2_card_money"
          },
          "display_name": {
            "description": "Display name",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "entity_id": {
            "description": "ID of the entity that holds the card",
            "format": "uuid",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "id": {
            "description": "Card ID",
            "format": "uuid",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "masked_number": {
            "description": "Masked card number",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "status": {
            "description": "Card status",
            "enum": [
              "created",
              "pending",
              "active",
              "blocked",
              "expired",
              "canceled"
            ],
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "type": {
            "description": "Card type",
            "enum": [
              "virtual"
            ],
            "type": "string",
            "x-struct": null,
            "x-validate": null
          }
        },
        "required": [
          "id",
          "balance",
          "display_name",
          "entity_id",
          "masked_number",
          "status",
          "type"
        ],
        "title": "V2 card with balance",
        "type": "object",
        "x-struct": "Elixir.TrioFoundationWeb.Schemas.Banking.V2.Card.DataWithBalance",
        "x-validate": null
      },
      "V2_CancelRecurrenceParams": {
        "description": "Body params to cancel a recurrence",
        "example": {
          "requester_tax_number": "12345678000100"
        },
        "properties": {
          "requester_tax_number": {
            "description": "Requester Tax Number",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          }
        },
        "required": [
          "requester_tax_number"
        ],
        "title": "V2 CancelRecurrenceParams",
        "type": "object",
        "x-struct": "Elixir.TrioFoundationWeb.Schemas.Banking.V2.Cashin.Recurrence.CancelParams",
        "x-validate": null
      },
      "V2_Pix_check_counterparty": {
        "description": "Owner of the checked Pix key, who receives the payment. A person (CPF) has the tax number masked and only the ISPB of their bank account published; a company (CNPJ) is published as is.",
        "example": {
          "bank_account": {
            "branch": null,
            "digit": null,
            "id": "0008d49c-e6d5-a58e-a742-449e9b38f795",
            "ispb": "12345678",
            "number": null,
            "type": null
          },
          "id": "0008d49c-e6d5-4d86-232a-a6f4b9138f10",
          "name": "John Doe",
          "tax_number": "***982247**"
        },
        "properties": {
          "bank_account": {
            "description": "Bank account the Pix key points to",
            "properties": {
              "branch": {
                "description": "Branch. Null for a CPF",
                "nullable": true,
                "type": "string",
                "x-struct": null,
                "x-validate": null
              },
              "digit": {
                "description": "Account digit. Null for a CPF",
                "nullable": true,
                "type": "string",
                "x-struct": null,
                "x-validate": null
              },
              "id": {
                "description": "Counterparty bank account ID, once Trio has registered the account",
                "format": "uuid",
                "nullable": true,
                "type": "string",
                "x-struct": null,
                "x-validate": null
              },
              "ispb": {
                "description": "ISPB of the bank",
                "type": "string",
                "x-struct": null,
                "x-validate": null
              },
              "number": {
                "description": "Account number. Null for a CPF",
                "nullable": true,
                "type": "string",
                "x-struct": null,
                "x-validate": null
              },
              "type": {
                "description": "Account type. Null for a CPF",
                "enum": [
                  "checking",
                  "payment",
                  "salary",
                  "savings"
                ],
                "nullable": true,
                "type": "string",
                "x-struct": null,
                "x-validate": null
              }
            },
            "required": [
              "id",
              "ispb",
              "branch",
              "number",
              "digit",
              "type"
            ],
            "type": "object",
            "x-struct": null,
            "x-validate": null
          },
          "id": {
            "description": "Counterparty ID, once Trio has registered the counterparty",
            "format": "uuid",
            "nullable": true,
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "name": {
            "description": "Name",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "tax_number": {
            "description": "Tax number. A CPF is masked (e.g. ***982247**); a CNPJ is published as is",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          }
        },
        "required": [
          "id",
          "name",
          "tax_number",
          "bank_account"
        ],
        "title": "V2 Pix check counterparty",
        "type": "object",
        "x-struct": "Elixir.TrioFoundationWeb.Schemas.Banking.V2.Cashout.PixCheck.Counterparty",
        "x-validate": null
      },
      "V2_entity_list_response": {
        "description": "A list of entities from TrioCore's compliance",
        "example": {
          "data": [
            {
              "addresses": [
                {
                  "address_additional_details": "Apto 42",
                  "address_line": "Rua das Flores",
                  "address_number": "123",
                  "city_name": "Curitiba",
                  "district": "Centro",
                  "zip_code": "80000000"
                }
              ],
              "business_infos": {
                "annual_revenue": {
                  "amount": 500000,
                  "currency": "BRL"
                },
                "average_ticket": {
                  "amount": 10000000,
                  "currency": "BRL"
                },
                "company_activity": "6201501",
                "company_secondary_activity": [
                  "6202300"
                ]
              },
              "contact": {
                "email": "entity@gmail.com",
                "phone_number": "41999999999"
              },
              "id": "01a163ec-8dd5-8386-b33a-70a4713ecdb2",
              "inserted_at": "2026-10-22T14:03:29.651178Z",
              "legal_name": "Entity Test LLC",
              "status": "approved",
              "tax_number": "DN0O5N510HG833",
              "updated_at": "2026-10-22T14:03:29.651187Z"
            }
          ]
        },
        "properties": {
          "data": {
            "items": {
              "$ref": "#/components/schemas/V2_entity"
            },
            "type": "array",
            "x-struct": null,
            "x-validate": null
          }
        },
        "title": "V2 entity list response",
        "type": "object",
        "x-struct": "Elixir.TrioFoundationWeb.Schemas.Banking.V2.Entity.ListResponse",
        "x-validate": null
      },
      "V2_Static_QRCode_single_response": {
        "description": "Response for a single static QRCode",
        "example": {
          "data": {
            "amount": {
              "amount": 10,
              "currency": "BRL"
            },
            "bank_account_id": "019252ca-4859-55f0-0f20-6f02250b5acd",
            "description": "description",
            "external_id": "external_id",
            "fee": {
              "amount": 0,
              "currency": "BRL"
            },
            "hash": "00020126580014br.gov.bcb.pix0136019252ca-48b2-e95e-c398-3133a04a5b3e52040000530398654040.105802BR5911brcode_name6011brcode_city622605222HwV3MJojKRR2FxvgYTgYF6304C4D0",
            "id": "019252ca-4a5b-b711-2371-0a0142807c75",
            "inserted_at": "2024-10-03T14:30:42.011732Z",
            "origin": {
              "id": null,
              "type": null
            },
            "status": "created",
            "updated_at": "2024-10-03T14:30:42.011732Z"
          }
        },
        "properties": {
          "data": {
            "$ref": "#/components/schemas/V2_Static_QRCode_response"
          }
        },
        "title": "V2 Static QRCode single response",
        "type": "object",
        "x-struct": "Elixir.TrioFoundationWeb.Schemas.Banking.V2.Cashin.StaticBrcode.Response",
        "x-validate": null
      },
      "DynamicBrcodeDueDetailDiscountCalculationType": {
        "description": "Discount calculation type of dynamic brcode with due detail",
        "enum": [
          "amount",
          "percentage"
        ],
        "nullable": true,
        "title": "DynamicBrcodeDueDetailDiscountCalculationType",
        "type": "string",
        "x-struct": null,
        "x-validate": null
      },
      "V2_Pix_key_check_params": {
        "description": "Body params to check a Pix key before paying it",
        "example": {
          "entity_id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2",
          "key": "john.doe@example.com"
        },
        "properties": {
          "entity_id": {
            "description": "Entity that will pay the Pix",
            "format": "uuid",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "key": {
            "description": "Pix key: a CPF, a CNPJ, an email, a phone number (+5511999999999) or a random key",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          }
        },
        "required": [
          "entity_id",
          "key"
        ],
        "title": "V2 Pix key check params",
        "type": "object",
        "x-struct": "Elixir.TrioFoundationWeb.Schemas.Banking.V2.Cashout.PixCheck.KeyCheckParams",
        "x-validate": null
      },
      "V2_RecurrenceCollectionAttemptEmbeddedData": {
        "description": "An attempt to charge a recurrence collection. `stages` is present only when they were loaded.",
        "example": {
          "due_date": "2025-07-14",
          "end_to_end_id": "E33333333202507141500duiiTl1rnpc",
          "external_id": null,
          "id": "019809e6-c836-fe49-0b1a-ccd48befb6b8",
          "inserted_at": "2025-07-14T17:06:16.606122Z",
          "status": "requested",
          "transaction_date": null,
          "updated_at": "2025-07-14T17:06:16.606122Z"
        },
        "properties": {
          "due_date": {
            "description": "Day the attempt is due",
            "format": "date",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "end_to_end_id": {
            "description": "Pix end to end ID",
            "nullable": true,
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "external_id": {
            "description": "External ID",
            "nullable": true,
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "id": {
            "description": "Attempt ID",
            "format": "uuid",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "inserted_at": {
            "description": "When the attempt was created",
            "format": "date-time",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "stages": {
            "description": "Attempt stages",
            "items": {
              "$ref": "#/components/schemas/V2_RecurrenceCollectionAttemptStage"
            },
            "type": "array",
            "x-struct": null,
            "x-validate": null
          },
          "status": {
[...]
